summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.com>2015-09-07 11:09:17 +0200
committerDavid Sterba <dsterba@suse.com>2015-09-07 11:09:17 +0200
commit22edaa7e85571d85acda18a035fd8d923a9b4056 (patch)
tree2a6d9e1f09e35de3371491d72b2ce5ddecdabe73
parenta608d60181a3e265de1c758d7f827cb0f72a782b (diff)
btrfs-progs: autogen: add check for pkg-config
Configure uses pkg-config, this should be at least checked at the autogen time. Signed-off-by: David Sterba <dsterba@suse.com>
-rwxr-xr-xautogen.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index b74e7939..96698502 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -37,10 +37,19 @@ test -f btrfs.c || {
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to generate btrfs-progs build system."
- echo
+ echo
DIE=1
}
+(pkg-config --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have pkg-config installed to use btrfs-progs build system."
+ echo "The pkg-config utility was not found in the standard location, set"
+ echo "the PKG_CONFIG/PKG_CONFIG_PATH/PKG_CONFIG_LIBDIR variables at the"
+ echo "configure time."
+ echo
+}
+
if test "$DIE" -eq 1; then
exit 1
fi